### Method

# EDataServer SourceProxy get_socks_host

since: 3.12

#### Declaration [src]

    const gchar*
    e_source_proxy_get_socks_host (
      ESourceProxy* extension
    )

#### Description [src]

Returns the machine name to use as a SOCKS proxy when `extension`‘s `ESourceProxy:method` is `E_PROXY_METHOD_MANUAL`.

Available since: 3.12

Gets property | `EDataServer.SourceProxy:socks-host`

#### Return value

Type: `const gchar*`

SOCKS proxy host name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.